<?php
	/*
	 * Serve this file up from a server.
	 * If you desire to run this from the cli replace the <br />'s with new lines.
	 */
	
	//a class to contain the method to examine
	class TestClass {
		//the method to call many times that does nothing
		function doNothing(){}
	}
	//a function to call many times that does nothing
	function doNothingFunc(){}
	
	//code to call the class method multiple times
	$numCalls = 10000;
	$startTime = getMicroTime();
	$testClass = new TestClass();
	for($i = 0; $i < $numCalls; $i++){
		$testClass->doNothing();
	}
	$endTime = getMicroTime();
	$elapsedTimeMethod = $endTime - $startTime;
	print($elapsedTimeMethod.'<br />');
	
	//code to call the function multiple times
	$startTime = getMicroTime();
	for($i = 0; $i < $numCalls; $i++){
		doNothingFunc();
	}
	$endTime = getMicroTime();
	$elapsedTimeFunction = $endTime - $startTime;
	print($elapsedTimeFunction.'<br />');
	print($elapsedTimeMethod/$elapsedTimeFunction);
	
	//timing function
	function getMicroTime()
	{
		list($fractionalSeconds, $seconds) = explode(" ", microtime());
		return ($seconds + $fractionalSeconds);
	}
	?>
