<?php
	/*
	 * Run this file from the cli.
	 * If you want to serve this up change the \n's to <br />'s
	 */
	
	$catStr = "****************************************************************************************************";
	$count = 100000;
	print("appending a string of ".strlen($catStr)." chars ".$count." times.\n");
	//test the base case
	$string = "";
	$startTime = getMicroTimeAsFloat();
	for($i = 0; $i < $count; $i++){
		$string =$string.$catStr;
	}
	$endTime = getMicroTimeAsFloat();
	$elapsedTimeBase = $endTime - $startTime;
	//test dot equals
	$string = "";
	$startTime = getMicroTimeAsFloat();
	for($i = 0; $i < $count; $i++){
		$string .=$catStr;
	}
	$endTime = getMicroTimeAsFloat();
	$elapsedTime = $endTime - $startTime;
	$percentImprovement = 100*($elapsedTimeBase - $elapsedTime)/$elapsedTimeBase;
	print("percent improvement .=  : ".$percentImprovement."\n\n");
	//test implode
	$anArray = array();
	$startTimeBetter = getMicroTimeAsFloat();
	//put together an array
	for($i = 0; $i < $count; $i++){
		$anArray[] = $catStr;
	}
	implode("",$anArray);
	$endTime = getMicroTimeAsFloat();
	$elapsedTime = $endTime - $startTimeBetter;
	$percentImprovement = 100*($elapsedTimeBase - $elapsedTime)/$elapsedTimeBase;
	print("percent improvement implode  : ".$percentImprovement."\n\n");
	function getMicroTimeAsFloat()
	{
	    list($fractionalSeconds, $seconds) = explode(" ", microtime());
	    return ((float)$seconds + (float)$fractionalSeconds);
	}
	?>
