<?php
class CreateReportDefBCO{
	function __construct($data){
		$this->data = $data;
	}
    
	function execute(){
    
        require_once getcwd().DIRECTORY_SEPARATOR.'DBModel.inc';//get the file containing the database model object
		$model = new DBModel();
        //retrieve the doctor information
        $aSQLString = "SELECT fname, lname, id FROM doctor ORDER BY lname,fname";
        error_log("SQL: ".$aSQLString);
		$doctorData = $model->getData($aSQLString);
        
        //retrieve the patient information
        $aSQLString = "SELECT fname, lname, id FROM patient ORDER BY lname,fname";
        error_log("SQL: ".$aSQLString);
		$patientData = $model->getData($aSQLString);
        
        //retrieve the visit field information
        $aSQLString = "SELECT column_name FROM all_tab_cols WHERE table_name='VISIT' and column_name NOT LIKE '%_ID'";
        
        error_log("SQL: ".$aSQLString);
		$visitData = $model->getData($aSQLString);
        return array($doctorData, $patientData, $visitData);
    }
}

?>