<?php
class LoginBCO{
	function __construct($data){
		$this->data = $data;
	}
	function execute(){
        //if either the user name or password was not entered return null
        if(!$_REQUEST['name'] || !$_REQUEST['pass']){
            return null;
        }
         $uname = $_REQUEST['name'];
         $pword = $_REQUEST['pass'];
         error_log($uname.", ".$pword);
		//get the file containing the database model object
        require_once getcwd().DIRECTORY_SEPARATOR.'DBModel.inc';
        //instantiate the model
		$model = new DBModel();
        //create a 2 dimensional array, an array of arrays, containing each of the keys, values, and types
        $fieldArray = array(array(":uname", $uname, SQLT_CHR), array(":pword", $pword, SQLT_CHR));
        //get either 1 or 0 records depending on finding matching data
		$results = $model->getData("SELECT ID, CLIENT_SESSION  FROM med_user WHERE  UNAME = :uname AND PWORD = :pword", $fieldArray);
        //if the user name or password was incorrect then the results will be empty so return null
        if(sizeOf($results["ID"]) != 1){
            return null;
        }
        $clientSessionData = "";
        if(sizeOf($results["CLIENT_SESSION"]) == 1){
            //retrieve the CLOB client session data into a variable as a string.
            if($results["CLIENT_SESSION"][0]){
                $clientSessionData = $results["CLIENT_SESSION"][0];
            }
        }
        //set an indicator for the VCO that the user has
        //not stored a client session to the server
        if($clientSessionData == ''){
            $clientSessionData = "no session";
        }    
        //get the users id value and store it in the session
        $_SESSION['user_id'] = $results["ID"][0];
        
        //return just the client session information
        return $clientSessionData;
    }
}
?>