<?php
class AccessPoint{
    //AccessPoint constructor
	function __construct(){
        //include the file containing the Control object
		require_once getcwd().'\cntrlObj.inc';
        //set the default value of the commandName variable
        $commandName = 'noCmd';
		if($_REQUEST['cmd']){
            //retrieve the requested command
			$commandName = $_REQUEST['cmd'];
            session_start();
            //if the user is not logged in and is not trying to login
            //reset the command name so that the user is sent to 
            //the default page.
            if(!$_SESSION['user_id'] && $commandName != 'login'){
                $commandName = 'noCmd';
            }
		}
        //instantiate a Controller object
		$controller = new Controller();
        //dispatch the request to retrieve data.
		$data = $controller->dispatch($commandName, 'BCO', null);
        //dispatch the request to generate data display
		$controller->dispatch($commandName, 'VCO', $data);
	}
}
new AccessPoint();// instantiate an AccessPoint
?>
