<?php
// include server class
include ('XML/Server.php');
$acceptableProcedures = array("invList"=>array("function"=>"getInventoryList"));
// create server
// set up dispatch map
$server = new XML_RPC_Server($acceptableProcedures);

// an example of a simple data retreival with no paramters
function getInventoryList($params) {
    //load the appropriate BCO.
    include_once("exposedInventoryListingBCO.inc");
    $BCO = new ExposedInventoryListingBCO(null);
    //retrieve the result set by calling the execute method
    $data = $BCO->execute();
    //load the matching VCO
    include_once("exposedInventoryListingVCO.inc");
    $VCO = new ExposedInventoryListingVCO($data);
    //retreive the XML_RPC_Response object
    $result = $VCO->execute();
    //returning the response object will cause the server to send it to the client
    return $result;
}
?> 