<?php
class ViewReportDefBCO{
	function __construct($data){
		$this->data = $data;
	}
	function execute(){
       if(!$_REQUEST['report']){
            return null;
        }
        $aReportDefID = $_REQUEST['report'];
        session_start();
        
        $fieldArray = array(array(":aReportDefinitionID", $aReportDefID, SQLT_CHR));

        //only allow the user for whom the report was generated to view the report.
        $reportRetriveSQLString = "SELECT report_definition FROM report_definitions WHERE report_id = :aReportDefinitionID AND recipient_id = ".$_SESSION['user_id'];
        require_once getcwd().DIRECTORY_SEPARATOR.'DBModel.inc';//get the file containing the database model object
		$model = new DBModel();
        //retreive the report definition
		$reportDefData =  $model->getData($reportRetriveSQLString, $fieldArray);
        $reportDefField = $reportDefData["REPORT_DEFINITION"];
        //make sure that the definition exists and that the requestor has permission to view it
        if(sizeof($reportDefField) == 0){
            return null;
        }
        //mark the report as having been read
        $updateRecordSQLString = "UPDATE report_definitions SET first_viewed_date = SYSDATE WHERE report_id = :aReportDefinitionID";
		$reportDefData =  $model->setData($updateRecordSQLString, $fieldArray);
        //pull the report definition string from the result set
        $reportDefSQLString = $reportDefField[0];
        //retreive the data defined in the report definition SQL
        return $model->getData($reportDefSQLString);
    }
}
?>
  