<?php
class Controller{
	private $acceptableCommands;
	function __construct(){//Controller constructor
		$this->acceptableCommands = array("pat"=>"Patient", "nur"=>"Nurse");//set the map values
	}
	function dispatch($cmd, $type, $data)
	{
		$functionName = $this->acceptableCommands[$cmd].$type;
		if($functionName){
			require_once getcwd().DIRECTORY_SEPARATOR.$functionName.".inc";//include the file containing the BCO or VCO needed.
			$aControlObject = new $functionName($data);//instantiate the control object
			$returnedData = $aControlObject->execute();
		}
		return $returnedData;
	}
}
?>
