<?php
	/*
	 * Run this file from the cli.
	 * If you want to serve this up change the \n's to <br />'s
	 */
	
class Pencil{
    protected $writeColor;
    protected $eraserPercentage;
    protected $bodyColor;//the new body color attribute
        function __construct($color) { 
            $this->writeColor = $color;
            $this->eraserPercentage = 100.0;
        }
        public function erase($amount){
            $this->eraserPercentage -= $amount;
        }
        public function describePencil(){
            print("Color: ".$this->writeColor."\n");
            print("Eraser Left: ".$this->eraserPercentage."\n");
            print("Body Color: ".$this->bodyColor."\n");
        }
}
class WoodenPencil extends Pencil{
    protected $sharpness;
    protected $lengthPercentage;
    function __construct($color) { 
        parent::__construct($color); 
        $this->sharpness = 10.0;
        $this->lengthPercentage = 100.0;
        $this->bodyColor = "yellow";//setting the parent's bodyColor attribute
    }
    public function sharpen($amount){
        $this->lengthPercentage -= $amount;
        $this->sharpness = 10.0;
    }
}
class MechanicalPencil extends Pencil{
    protected $leadPercentage;
    protected $leadSize;
    function __construct($color) { 
        parent::__construct($color); 
        $this->leadSize = 10.0;
        $this->leadPercentage = 100.0;
        $this->bodyColor = "blue";//setting the parent's bodyColor attribute
    }
    public function replaceEraser(){
        $this->eraserPercentage = 100.0;
    }
}
print("Wooden Pencil\n");
$aWoodenPencil = new WoodenPencil("red");
$aWoodenPencil->erase(15);
$aWoodenPencil->describePencil();
print("\nMechanical Pencil\n");
$aMechanicalPencil = new MechanicalPencil("black");
$aMechanicalPencil->erase(25);
$aMechanicalPencil->describePencil();
?>
