<?php

// include base functions
include_once ('XML/RPC.php');

// initialize client
$client = new XML_RPC_Client("/supplierService.php", "localhost", 80);

// turn on debugging
// $client->setDebug(1);

// generate XML-RPC message packet
// contains RPC method name and arguments
$msg = new XML_RPC_Message("invList", null);

// send request
$response = $client->send($msg);

// read response
if (!$response->faultCode()) {
    // no error
    // print response
    print $response->serialize();
}
else {
    // error
    // print error message and code
    print "Error code: " . $response->faultCode() . " Message: " . $response->faultString() . "\n";
}

?> 