<html>
	<head>
		<script src="ServerAccess.js" ></script>
		<script src="CO.js" ></script>
		<script src="cntrl.js" ></script>
		<script src="util.js" ></script>
		<script src="draggable.js" ></script>
        <script src="historyTracking.js" ></script>
        <script src="session.js" ></script>
        
          <!-- mochikit is used by plotKit -->
       <script src="mochikit/MochiKit.js" type="text/javascript"></script>
       
       <!-- these are the plotKit libraries that are required for all browsers -->
       <script src="plotKit/Base.js" type="text/javascript"></script>
       <script src="plotKit/Layout.js" type="text/javascript"></script>
       
       <!-- these are the plotKit libraries that are required for browsers that support SVG -->
       <script src="plotKit/SVG.js" type="text/javascript"></script>
       <script src="plotKit/SweetSVG.js" type="text/javascript"></script>
       
       <!-- these are the plotKit libraries that are required for browsers that don't support SVG (IE for example)-->
       <script src="plotKit/excanvas.js" type="text/javascript"></script>
       <script src="plotKit/excanvas.js" type="text/javascript"></script>
       <script src="plotKit/Canvas.js" type="text/javascript"></script>
       <script src="plotKit/SweetCanvas.js" type="text/javascript"></script>
       
       <!-- these are the libraries that make the plotKit easier to use -->
       <script src="SimplePlot.js" type="text/javascript"></script>
       <script src="JSON_Util.js" type="text/javascript"></script>
       <script src="mashup.js" type="text/javascript"></script>
        
        <link rel="stylesheet" type="text/css" href="main.css" />
        <link rel="stylesheet" type="text/css" href="mashup.css" />
	</head>
	<body onload='init(); loadFirstSubPage("home");' onscroll='docScrolled(event)'>
		<div id='header'><h1>Medical Data System</h1></div>
        <ul id='navigation'>
            <li><a href = "" onclick='updateURL("pat", event)'>Patient Information</a></li>
            <li><a href = "" onclick='updateURL("nur", event)'>Nurse Information</a></li>
            <li><a href = "" onclick='updateURL("doct", event)'>Doctor Information</a></li>
            <li><a href = "" onclick='updateURL("ret_pat_nur", event)'>Patient Assignment</a></li>
            <li><a href = "" onclick='updateURL("cur_inv", event)'>Our Current Inventory</a></li>
            <li><a href = "" onclick='updateURL("cur_inv_cost", event)'>Current Inventory Cost</a></li>
            <li><a href = "" onclick='updateURL("sup_inv", event)'>Our Suppliers' Available Inventory</a></li>
            <li id='mashupDisplayItem'><a href = "" onclick='updateURL("showMashup", event)'>Show Mashup</a></li>
            <li></li>
            <li><a href = "" onclick='session.addAttribute("homeSubPage",getSubPageCommand()); updateURL("storeHome", event)'>Set Initial Display Page</a></li>
            <li><a href = "" onclick='updateURL("cr_rep", event)'>Create A Report</a></li>
            <li><a href = "" onclick='updateURL("vw_all_rep", event)'>View Reports</a></li>
        </ul>
        <div id='content'>hello</div>
        <!-- Use the fixed position type to remove this div from the rendering flow of the main page.  
             Display none indicates that it will be rendered and included in the page but not displayed to the user
        -->
        <div id='loginHolder' style='position: fixed; display: none;' >
            <!-- This div is used to hold the code that is displayed when the home login needs to be displayed. -->
            <h2>Please log in to access the system.</h2>
            <table>
              <tr><td style='font-weight: bold'>User Name</td><td><input id='unameFieldStored' /><td><span id='loginErrorDisplayStored' class='errorMessage' >User Name or Password is incorrect.</span></td></tr>
              <tr><td style='font-weight: bold'>Password</td><td><input id='pwordFieldStored' type='password' /></tr>
            </table>
            <input type='button' value='Log In' onclick='updateURL("login", event)' />
        </div>
        <div id='reportHolder' style='position: fixed; display: none'>
            <h2>Report Generator</h2>
            <table>
                <tr><th>Doctors</th><th>Patients</th><th>Statistics</th><th>From Date</th><th>To Date</th></tr>
                <tr>
                    <td valign='top'>
                        <select id='doctorSelectionStored' size=6></select>
                    </td>
                    <td valign='top'>
                        <select id='patientSelectionStored' size = 6></select>
                    </td>
                    <td valign='top'>
                        <select id='statisticSelectionStored' multiple='true' size=6></select>
                    </td>
                    <!-- give an example of the date format needed -->
                    <td valign='top'><input id='fromDateStored' value='31-12-1999'></input></td>
                    <td valign='top'><input id='toDateStored'></input></td>
                </tr>
            </table>
            <input type='button' value='Preview Report' onclick='theController.dispatch("pv_rep")' />
            <input type='button' value='Send Report' onclick='theController.dispatch("snd_rep")' />
            <input type='button' value='Clear' onclick='theController.dispatch("clr_rep")' />
            <div id='reportWarningDivStored'></div>
            <hr/>
            <div id='reportPreviewDivStored'></div>
            
        </div>
        <!-- this iframe is displayed left of the viewable area so that the user will not be able to see it.  a width and height are given to ensure
             that is will be rendered even though it will not be seen.
             Always put this at the bottom of the page just prior to the close of the body tag.
        -->
            <iframe id='history_frame' style='position: relative; top: 0px; left: -20px; width: 1px; height: 1px;' src='tracking.html'  />
        </div>
	</body>
</html>