<?php
class patientVCO{
	function __construct($data){
		$this->data = $data;
	}
	function execute(){
		print("<h2>Patients</h2>");
		$numRecords = -1;
		print("<table id='dataTable' BORDER='1'><tr>");
        //insert each of the field names as table headers
        $patientIDField = null;
		foreach ($this->data as $fieldName => $field) {
            //use the name 'VISITS' for the expansion column instead of ID
            if(strcmp($fieldName, "ID") == 0){
                print("<th>VISITS</th>");
                $patientIDField = $field;
                continue;
            }
            else if(strcmp($fieldName, "NURSE_ID") == 0){
                continue;
            }
			print("<th>".$fieldName."</th>\n");
			if($numRecords == -1){
				$numRecords = sizeof($field);
			}
		}
		print("</tr>");
        //insert each of the field values into the table
		for ($i = 0; $i < $numRecords; $i++) {
			print("<tr>\n");
			foreach ($this->data as $fieldName => $field) {
                if(strcmp($fieldName, "ID") == 0 || strcmp($fieldName, "NURSE_ID") == 0){
                    continue;
                }
                print("<td>".$field[$i]."</td>\n");
			}
            //fill the VISITS column with a link to retrieve visits based on the 
            //ID of the patient in question.
            //this is broken up so that the ' character can be sent as well as the " characters as needed by HTML
            print('<td><a id="'.$patientIDField[$i].'" href="" onclick="theController.dispatch(');
            print("'pat_vis', event)");
            print('" >+</a>');
            print("</tr>\n");
		}
		print("</table>");
	}
}
?>