<?php
class RetrievePatNurseBCO{
	function __construct($data){
		$this->data = $data;
	}
	function execute(){
        //piggy back this BCO on the nurse and patient BCOs to reduce code duplication
        $controller = new Controller();
        //use the NurseBCO to get the required nurse information
        $nurseData = $controller->dispatch("nur", 'BCO', null);
        
        require_once getcwd().DIRECTORY_SEPARATOR.'DBModel.inc';//get the file containing the database model object
		$model = new DBModel();
        //get patients that are not assigned
		$unassignedPatientData = $model->getData("SELECT id, fname,lname FROM patient where nurse_id IS NULL ORDER BY lname, fname");
        //get patients that are assigned
        $assignedPatientData = $model->getData("SELECT id, fname,lname, nurse_id FROM patient WHERE nurse_id IS NOT NULL ORDER BY lname, fname");
        
        //return an array containing both the nurse and the patient data
        $localData = array($nurseData, $unassignedPatientData, $assignedPatientData);
		return $localData;
	}
}
?>