<?php
class StoreSessionBCO{
	function __construct($data){
		$this->data = $data;
	}
	function execute(){
        //ensure that there is a session string to be
        //stored and that the user has logged in.
        if(!$_REQUEST['sessDef'] || !$_SESSION['user_id']){
            return null;
        }
        //retrieve the string that is the client session storage from the request
        $sessionString = $_REQUEST['sessDef'];
        //retrieve the user id from the session
        $userID = $_SESSION['user_id'];
       //get the file containing the database model object
        require_once getcwd().DIRECTORY_SEPARATOR.'DBModel.inc';
		$model = new DBModel();
        //set up the relationship between the PHP variable
        //and the binding string declaring the type of
        //the field to be CLOB
        $fieldArray = array(array(":clientSession", $sessionString, SQLT_CLOB));
        //Set the values into the database using the setData function.
        //The SET SQL command is used to bind an empty 
        //Oracle clob object to the CLOB field client_session.
        //The RETURNING SQL command requires the field name from the table as its' value
		return $model->setData("UPDATE med_user SET client_session = EMPTY_CLOB() WHERE id = '".$userID."' RETURNING client_session INTO :clientSession", $fieldArray);
	}
}
?>