<?php
include_once('XML/RPC.php');
class SupplierInventoryListingVCO{
	function __construct($data){
		$this->data = $data;
	}
	function execute(){
        //The data stored is a Pear XML_RPC_Response or null if there was an error.
        if($this->data){
            //retreive the header and record arrays
            $headersValueArray = $this->data->value()->arraymem(0);
            $recordsValueArray = $this->data->value()->arraymem(1);
            //find the number of fields and rows
            $numFields = $headersValueArray->arraysize();
            $numRecords = $recordsValueArray->arraysize();
            //start the table
            print("<h2>Medical Supplies Co. Available Inventory</h2>");
            print("<table border >\n<tr>\n");
            //print out the field names as the table headers
            for($i = 0; $i < $numFields; $i++){
                //scalarval yeilds the actual string for the header out of the
                //of XML_RPC_Value object in the array
                print("<th>".$headersValueArray->arraymem($i)->scalarval()."</th>");
            }
            print("</tr>\n");
            //print out the records as table rows
            for($i = 0; $i < $numRecords; $i++){
                //get each record
                $aRecord = $recordsValueArray->arraymem($i);
                print("<tr>\n");
                for($j = 0; $j < $numFields; $j++){
                    //print each string value stored in the XML_RPC_Value in the 
                    //record array
                    print("<td>".$aRecord->arraymem($j)->scalarval()."</td>");
                }
                print("</tr>\n");
            }
            print("</table>\n");
        }
        else{
            print("<h3>The suppliers inventory system is not available at this time.</br>Make sure you are connected to the internet.</h3>");
        }
	}
}
?>