<?php
class ViewAllReportDefsBCO{
	function __construct($data){
		$this->data = $data;
	}
	function execute(){
        //only allow the current user to see reports
        //for themselves
        session_start();
        $recipientID = $_SESSION['user_id'];

        //define the data needed for the user to later choose a specific report
        $reportRetrieveSQLString = "SELECT report_id, to_char(creation_date,'DD-MM-YYYY HH24:MI') as creation_date, ";
        $reportRetrieveSQLString .= "to_char(first_viewed_date,'DD-MM-YYYY HH24:MI') as first_viewed_date, patient.fname, ";
        $reportRetrieveSQLString .= "patient.lname FROM report_definitions JOIN patient ON (report_definitions.patient_id = patient.id) ";
        $reportRetrieveSQLString .= "WHERE recipient_id = ".$recipientID;
        //only include those that the user has not marked as removed
        $reportRetrieveSQLString .= "AND show_report = 1";
        error_log($reportRetrieveSQLString);
        require_once getcwd().DIRECTORY_SEPARATOR.'DBModel.inc';//get the file containing the database model object
		$model = new DBModel();
        //retreive all report ids and other information for each
        //report for the current user
        return $model->getData($reportRetrieveSQLString);
    }
}
?>